.part-finder-header {
    justify-content: space-between;
}

.sidenav-container {
    flex: 1;

    .sidenav {
        min-width: 18%;
        padding: 8px;

        .search-form {
            display: flex;
            flex-direction: column;

            .panel-title {
                align-items: center;

                mat-icon {
                    margin-right: 10px;
                }
            }

            .form-input-container {
                display: flex;
                flex-direction: row;
                align-items: center;

                .form-input {
                    flex: 1 1 auto;
                }

                .spinner-container {
                    min-width: 30px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin: 0 10px;
                }
            }

            .form-actions-container {
                display: flex;
                align-items: center;
                justify-content: center;
                margin-top: 15px;
            }
        }
    }

    .sidenav-content {
        display: flex;
        flex-direction: column;
        overflow: unset;

        .results {
            flex: 1 1 auto;
            overflow: auto;
        }

        .paginator {
            justify-content: center;
            min-height: 64px;
        }

        .no-results {
            position: absolute;
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;
            display: flex;
            align-items: flex-start;
            justify-content: center;
            padding: 15px;
        }
    }
}

.option-color-container {
    display: flex;
    align-items: center;

    .color-preview {
        height: 30px;
        width: 30px;
        min-width: 30px;
        border-radius: 3px;
        margin-right: 5px;
    }

    .color-name {
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

.option-cat-container {
    display: flex;
    align-items: center;
    justify-content: space-between;

    .cat-name {
        overflow: hidden;
        text-overflow: ellipsis;
        padding-right: 10px;
    }
}









.navlist {
    display: flex;
    flex-direction: row;

    button {
        min-width: unset;
        border-radius: unset;
    }

    .previous::before {
        content: '«';
        margin-right: 3px;
    }

    .current {
        color: #fff;
        background-color:#3f51b5;
    }

    .next::after {
        content: '»';
        margin-left: 3px;
    }
}
